<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:19 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>HwPowerPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwPowerPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwPowerPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html" target="_top">Frames</a></li>
<li><a href="HwPowerPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower</div>
<h2 title="Interface HwPowerPackage" class="title">Interface HwPowerPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwPowerPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl">HwPowerPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">HwPowerPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code>HwPowerFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower">HwPowerPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower">HwPowerPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY">HW_COOLING_SUPPLY</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwCoolingSupplyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl"><code><em>Hw Cooling Supply</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__AREA">HW_COOLING_SUPPLY__AREA</a></span></code>
<div class="block">The feature id for the '<em><b>Area</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__BASE_CLASSIFIER">HW_COOLING_SUPPLY__BASE_CLASSIFIER</a></span></code>
<div class="block">The feature id for the '<em><b>Base Classifier</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__BASE_CONNECTABLE_ELEMENT">HW_COOLING_SUPPLY__BASE_CONNECTABLE_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connectable Element</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__BASE_INSTANCE_SPECIFICATION">HW_COOLING_SUPPLY__BASE_INSTANCE_SPECIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__BASE_LIFELINE">HW_COOLING_SUPPLY__BASE_LIFELINE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Lifeline</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__BASE_PROPERTY">HW_COOLING_SUPPLY__BASE_PROPERTY</a></span></code>
<div class="block">The feature id for the '<em><b>Base Property</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__COOLING_POWER">HW_COOLING_SUPPLY__COOLING_POWER</a></span></code>
<div class="block">The feature id for the '<em><b>Cooling Power</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__DESCRIPTION">HW_COOLING_SUPPLY__DESCRIPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__DIMENSIONS">HW_COOLING_SUPPLY__DIMENSIONS</a></span></code>
<div class="block">The feature id for the '<em><b>Dimensions</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__END_POINTS">HW_COOLING_SUPPLY__END_POINTS</a></span></code>
<div class="block">The feature id for the '<em><b>End Points</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__FREQUENCY">HW_COOLING_SUPPLY__FREQUENCY</a></span></code>
<div class="block">The feature id for the '<em><b>Frequency</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__GRID">HW_COOLING_SUPPLY__GRID</a></span></code>
<div class="block">The feature id for the '<em><b>Grid</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__IS_ACTIVE">HW_COOLING_SUPPLY__IS_ACTIVE</a></span></code>
<div class="block">The feature id for the '<em><b>Is Active</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__IS_PROTECTED">HW_COOLING_SUPPLY__IS_PROTECTED</a></span></code>
<div class="block">The feature id for the '<em><b>Is Protected</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__KIND">HW_COOLING_SUPPLY__KIND</a></span></code>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__NB_PINS">HW_COOLING_SUPPLY__NB_PINS</a></span></code>
<div class="block">The feature id for the '<em><b>Nb Pins</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__OWNED_HW">HW_COOLING_SUPPLY__OWNED_HW</a></span></code>
<div class="block">The feature id for the '<em><b>Owned HW</b></em>' reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__PHW_SERVICES">HW_COOLING_SUPPLY__PHW_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>PHW Services</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__POSITION">HW_COOLING_SUPPLY__POSITION</a></span></code>
<div class="block">The feature id for the '<em><b>Position</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__POWERED_SERVICES">HW_COOLING_SUPPLY__POWERED_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>Powered Services</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__PRICE">HW_COOLING_SUPPLY__PRICE</a></span></code>
<div class="block">The feature id for the '<em><b>Price</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__RCONDITIONS">HW_COOLING_SUPPLY__RCONDITIONS</a></span></code>
<div class="block">The feature id for the '<em><b>RConditions</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__RES_MULT">HW_COOLING_SUPPLY__RES_MULT</a></span></code>
<div class="block">The feature id for the '<em><b>Res Mult</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__RHW_SERVICES">HW_COOLING_SUPPLY__RHW_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>RHW Services</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__STATIC_CONSUMPTION">HW_COOLING_SUPPLY__STATIC_CONSUMPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Static Consumption</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__STATIC_DISSIPATION">HW_COOLING_SUPPLY__STATIC_DISSIPATION</a></span></code>
<div class="block">The feature id for the '<em><b>Static Dissipation</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__SUB_COMPONENTS">HW_COOLING_SUPPLY__SUB_COMPONENTS</a></span></code>
<div class="block">The feature id for the '<em><b>Sub Components</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY__WEIGHT">HW_COOLING_SUPPLY__WEIGHT</a></span></code>
<div class="block">The feature id for the '<em><b>Weight</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_COOLING_SUPPLY_FEATURE_COUNT">HW_COOLING_SUPPLY_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Hw Cooling Supply</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY">HW_POWER_SUPPLY</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwPowerSupplyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl"><code><em>Supply</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__AREA">HW_POWER_SUPPLY__AREA</a></span></code>
<div class="block">The feature id for the '<em><b>Area</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__BASE_CLASSIFIER">HW_POWER_SUPPLY__BASE_CLASSIFIER</a></span></code>
<div class="block">The feature id for the '<em><b>Base Classifier</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__BASE_CONNECTABLE_ELEMENT">HW_POWER_SUPPLY__BASE_CONNECTABLE_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connectable Element</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__BASE_INSTANCE_SPECIFICATION">HW_POWER_SUPPLY__BASE_INSTANCE_SPECIFICATION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__BASE_LIFELINE">HW_POWER_SUPPLY__BASE_LIFELINE</a></span></code>
<div class="block">The feature id for the '<em><b>Base Lifeline</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__BASE_PROPERTY">HW_POWER_SUPPLY__BASE_PROPERTY</a></span></code>
<div class="block">The feature id for the '<em><b>Base Property</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__CAPACITY">HW_POWER_SUPPLY__CAPACITY</a></span></code>
<div class="block">The feature id for the '<em><b>Capacity</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__DESCRIPTION">HW_POWER_SUPPLY__DESCRIPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__DIMENSIONS">HW_POWER_SUPPLY__DIMENSIONS</a></span></code>
<div class="block">The feature id for the '<em><b>Dimensions</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__END_POINTS">HW_POWER_SUPPLY__END_POINTS</a></span></code>
<div class="block">The feature id for the '<em><b>End Points</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__FREQUENCY">HW_POWER_SUPPLY__FREQUENCY</a></span></code>
<div class="block">The feature id for the '<em><b>Frequency</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__GRID">HW_POWER_SUPPLY__GRID</a></span></code>
<div class="block">The feature id for the '<em><b>Grid</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__IS_ACTIVE">HW_POWER_SUPPLY__IS_ACTIVE</a></span></code>
<div class="block">The feature id for the '<em><b>Is Active</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__IS_PROTECTED">HW_POWER_SUPPLY__IS_PROTECTED</a></span></code>
<div class="block">The feature id for the '<em><b>Is Protected</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__KIND">HW_POWER_SUPPLY__KIND</a></span></code>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__NB_PINS">HW_POWER_SUPPLY__NB_PINS</a></span></code>
<div class="block">The feature id for the '<em><b>Nb Pins</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__OWNED_HW">HW_POWER_SUPPLY__OWNED_HW</a></span></code>
<div class="block">The feature id for the '<em><b>Owned HW</b></em>' reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__PHW_SERVICES">HW_POWER_SUPPLY__PHW_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>PHW Services</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__POSITION">HW_POWER_SUPPLY__POSITION</a></span></code>
<div class="block">The feature id for the '<em><b>Position</b></em>' attribute list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__POWERED_SERVICES">HW_POWER_SUPPLY__POWERED_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>Powered Services</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__PRICE">HW_POWER_SUPPLY__PRICE</a></span></code>
<div class="block">The feature id for the '<em><b>Price</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__RCONDITIONS">HW_POWER_SUPPLY__RCONDITIONS</a></span></code>
<div class="block">The feature id for the '<em><b>RConditions</b></em>' attribute list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__RES_MULT">HW_POWER_SUPPLY__RES_MULT</a></span></code>
<div class="block">The feature id for the '<em><b>Res Mult</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__RHW_SERVICES">HW_POWER_SUPPLY__RHW_SERVICES</a></span></code>
<div class="block">The feature id for the '<em><b>RHW Services</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__STATIC_CONSUMPTION">HW_POWER_SUPPLY__STATIC_CONSUMPTION</a></span></code>
<div class="block">The feature id for the '<em><b>Static Consumption</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__STATIC_DISSIPATION">HW_POWER_SUPPLY__STATIC_DISSIPATION</a></span></code>
<div class="block">The feature id for the '<em><b>Static Dissipation</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__SUB_COMPONENTS">HW_POWER_SUPPLY__SUB_COMPONENTS</a></span></code>
<div class="block">The feature id for the '<em><b>Sub Components</b></em>' containment reference list.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__SUPPLIED_POWER">HW_POWER_SUPPLY__SUPPLIED_POWER</a></span></code>
<div class="block">The feature id for the '<em><b>Supplied Power</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY__WEIGHT">HW_POWER_SUPPLY__WEIGHT</a></span></code>
<div class="block">The feature id for the '<em><b>Weight</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#HW_POWER_SUPPLY_FEATURE_COUNT">HW_POWER_SUPPLY_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Supply</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwCoolingSupply_CoolingPower--">getHwCoolingSupply_CoolingPower</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwCoolingSupply.html#getCoolingPower--"><code><em>Cooling Power</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwCoolingSupply--">getHwCoolingSupply</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwCoolingSupply.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code><em>Hw Cooling Supply</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower">HwPowerFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwPowerFactory--">getHwPowerFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwPowerSupply_Capacity--">getHwPowerSupply_Capacity</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html#getCapacity--"><code><em>Capacity</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwPowerSupply_SuppliedPower--">getHwPowerSupply_SuppliedPower</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html#getSuppliedPower--"><code><em>Supplied Power</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwPowerSupply--">getHwPowerSupply</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code><em>Supply</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower">HwPowerPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="HW_POWER_SUPPLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwPowerSupplyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl"><code><em>Supply</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwPowerSupplyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl"><code>HwPowerSupplyImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwPowerPackageImpl.html#getHwPowerSupply--"><code>HwPowerPackageImpl.getHwPowerSupply()</code></a>, 
<a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__RES_MULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__RES_MULT</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__RES_MULT</pre>
<div class="block">The feature id for the '<em><b>Res Mult</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__RES_MULT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__IS_PROTECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__IS_PROTECTED</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__IS_PROTECTED</pre>
<div class="block">The feature id for the '<em><b>Is Protected</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__IS_PROTECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__IS_ACTIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__IS_ACTIVE</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__IS_ACTIVE</pre>
<div class="block">The feature id for the '<em><b>Is Active</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__IS_ACTIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__BASE_PROPERTY</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__BASE_PROPERTY</pre>
<div class="block">The feature id for the '<em><b>Base Property</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__BASE_PROPERTY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__BASE_INSTANCE_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__BASE_INSTANCE_SPECIFICATION</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__BASE_INSTANCE_SPECIFICATION</pre>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__BASE_INSTANCE_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__BASE_CLASSIFIER</pre>
<div class="block">The feature id for the '<em><b>Base Classifier</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__BASE_CLASSIFIER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__BASE_LIFELINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__BASE_LIFELINE</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__BASE_LIFELINE</pre>
<div class="block">The feature id for the '<em><b>Base Lifeline</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__BASE_LIFELINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__BASE_CONNECTABLE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__BASE_CONNECTABLE_ELEMENT</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__BASE_CONNECTABLE_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Connectable Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__BASE_CONNECTABLE_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__DESCRIPTION</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__DESCRIPTION</pre>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__DESCRIPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__FREQUENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__FREQUENCY</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__FREQUENCY</pre>
<div class="block">The feature id for the '<em><b>Frequency</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__FREQUENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__END_POINTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__END_POINTS</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__END_POINTS</pre>
<div class="block">The feature id for the '<em><b>End Points</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__END_POINTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__PHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__PHW_SERVICES</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__PHW_SERVICES</pre>
<div class="block">The feature id for the '<em><b>PHW Services</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__PHW_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__RHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__RHW_SERVICES</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__RHW_SERVICES</pre>
<div class="block">The feature id for the '<em><b>RHW Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__RHW_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__OWNED_HW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__OWNED_HW</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__OWNED_HW</pre>
<div class="block">The feature id for the '<em><b>Owned HW</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__OWNED_HW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__KIND</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__KIND</pre>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__KIND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__DIMENSIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__DIMENSIONS</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__DIMENSIONS</pre>
<div class="block">The feature id for the '<em><b>Dimensions</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__DIMENSIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__AREA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__AREA</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__AREA</pre>
<div class="block">The feature id for the '<em><b>Area</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__AREA">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__POSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__POSITION</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__POSITION</pre>
<div class="block">The feature id for the '<em><b>Position</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__POSITION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__GRID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__GRID</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__GRID</pre>
<div class="block">The feature id for the '<em><b>Grid</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__GRID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__NB_PINS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__NB_PINS</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__NB_PINS</pre>
<div class="block">The feature id for the '<em><b>Nb Pins</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__NB_PINS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__WEIGHT</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__WEIGHT</pre>
<div class="block">The feature id for the '<em><b>Weight</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__WEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__PRICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__PRICE</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__PRICE</pre>
<div class="block">The feature id for the '<em><b>Price</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__PRICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__RCONDITIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__RCONDITIONS</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__RCONDITIONS</pre>
<div class="block">The feature id for the '<em><b>RConditions</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__RCONDITIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__POWERED_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__POWERED_SERVICES</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__POWERED_SERVICES</pre>
<div class="block">The feature id for the '<em><b>Powered Services</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__POWERED_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__STATIC_CONSUMPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__STATIC_CONSUMPTION</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__STATIC_CONSUMPTION</pre>
<div class="block">The feature id for the '<em><b>Static Consumption</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__STATIC_CONSUMPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__STATIC_DISSIPATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__STATIC_DISSIPATION</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__STATIC_DISSIPATION</pre>
<div class="block">The feature id for the '<em><b>Static Dissipation</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__STATIC_DISSIPATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__SUB_COMPONENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__SUB_COMPONENTS</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__SUB_COMPONENTS</pre>
<div class="block">The feature id for the '<em><b>Sub Components</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__SUB_COMPONENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__SUPPLIED_POWER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__SUPPLIED_POWER</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__SUPPLIED_POWER</pre>
<div class="block">The feature id for the '<em><b>Supplied Power</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__SUPPLIED_POWER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY__CAPACITY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY__CAPACITY</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY__CAPACITY</pre>
<div class="block">The feature id for the '<em><b>Capacity</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY__CAPACITY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_POWER_SUPPLY_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_POWER_SUPPLY_FEATURE_COUNT</h4>
<pre>static final&nbsp;int HW_POWER_SUPPLY_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Supply</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_POWER_SUPPLY_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwCoolingSupplyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl"><code><em>Hw Cooling Supply</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwCoolingSupplyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.impl"><code>HwCoolingSupplyImpl</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/impl/HwPowerPackageImpl.html#getHwCoolingSupply--"><code>HwPowerPackageImpl.getHwCoolingSupply()</code></a>, 
<a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__RES_MULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__RES_MULT</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__RES_MULT</pre>
<div class="block">The feature id for the '<em><b>Res Mult</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__RES_MULT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__IS_PROTECTED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__IS_PROTECTED</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__IS_PROTECTED</pre>
<div class="block">The feature id for the '<em><b>Is Protected</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__IS_PROTECTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__IS_ACTIVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__IS_ACTIVE</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__IS_ACTIVE</pre>
<div class="block">The feature id for the '<em><b>Is Active</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__IS_ACTIVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__BASE_PROPERTY</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__BASE_PROPERTY</pre>
<div class="block">The feature id for the '<em><b>Base Property</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__BASE_PROPERTY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__BASE_INSTANCE_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__BASE_INSTANCE_SPECIFICATION</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__BASE_INSTANCE_SPECIFICATION</pre>
<div class="block">The feature id for the '<em><b>Base Instance Specification</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__BASE_INSTANCE_SPECIFICATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__BASE_CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__BASE_CLASSIFIER</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__BASE_CLASSIFIER</pre>
<div class="block">The feature id for the '<em><b>Base Classifier</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__BASE_CLASSIFIER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__BASE_LIFELINE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__BASE_LIFELINE</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__BASE_LIFELINE</pre>
<div class="block">The feature id for the '<em><b>Base Lifeline</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__BASE_LIFELINE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__BASE_CONNECTABLE_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__BASE_CONNECTABLE_ELEMENT</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__BASE_CONNECTABLE_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Connectable Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__BASE_CONNECTABLE_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__DESCRIPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__DESCRIPTION</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__DESCRIPTION</pre>
<div class="block">The feature id for the '<em><b>Description</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__DESCRIPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__FREQUENCY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__FREQUENCY</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__FREQUENCY</pre>
<div class="block">The feature id for the '<em><b>Frequency</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__FREQUENCY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__END_POINTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__END_POINTS</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__END_POINTS</pre>
<div class="block">The feature id for the '<em><b>End Points</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__END_POINTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__PHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__PHW_SERVICES</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__PHW_SERVICES</pre>
<div class="block">The feature id for the '<em><b>PHW Services</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__PHW_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__RHW_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__RHW_SERVICES</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__RHW_SERVICES</pre>
<div class="block">The feature id for the '<em><b>RHW Services</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__RHW_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__OWNED_HW">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__OWNED_HW</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__OWNED_HW</pre>
<div class="block">The feature id for the '<em><b>Owned HW</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__OWNED_HW">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__KIND</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__KIND</pre>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__KIND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__DIMENSIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__DIMENSIONS</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__DIMENSIONS</pre>
<div class="block">The feature id for the '<em><b>Dimensions</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__DIMENSIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__AREA">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__AREA</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__AREA</pre>
<div class="block">The feature id for the '<em><b>Area</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__AREA">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__POSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__POSITION</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__POSITION</pre>
<div class="block">The feature id for the '<em><b>Position</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__POSITION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__GRID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__GRID</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__GRID</pre>
<div class="block">The feature id for the '<em><b>Grid</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__GRID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__NB_PINS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__NB_PINS</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__NB_PINS</pre>
<div class="block">The feature id for the '<em><b>Nb Pins</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__NB_PINS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__WEIGHT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__WEIGHT</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__WEIGHT</pre>
<div class="block">The feature id for the '<em><b>Weight</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__WEIGHT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__PRICE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__PRICE</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__PRICE</pre>
<div class="block">The feature id for the '<em><b>Price</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__PRICE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__RCONDITIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__RCONDITIONS</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__RCONDITIONS</pre>
<div class="block">The feature id for the '<em><b>RConditions</b></em>' attribute list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__RCONDITIONS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__POWERED_SERVICES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__POWERED_SERVICES</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__POWERED_SERVICES</pre>
<div class="block">The feature id for the '<em><b>Powered Services</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__POWERED_SERVICES">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__STATIC_CONSUMPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__STATIC_CONSUMPTION</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__STATIC_CONSUMPTION</pre>
<div class="block">The feature id for the '<em><b>Static Consumption</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__STATIC_CONSUMPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__STATIC_DISSIPATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__STATIC_DISSIPATION</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__STATIC_DISSIPATION</pre>
<div class="block">The feature id for the '<em><b>Static Dissipation</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__STATIC_DISSIPATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__SUB_COMPONENTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__SUB_COMPONENTS</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__SUB_COMPONENTS</pre>
<div class="block">The feature id for the '<em><b>Sub Components</b></em>' containment reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__SUB_COMPONENTS">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY__COOLING_POWER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HW_COOLING_SUPPLY__COOLING_POWER</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY__COOLING_POWER</pre>
<div class="block">The feature id for the '<em><b>Cooling Power</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY__COOLING_POWER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="HW_COOLING_SUPPLY_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>HW_COOLING_SUPPLY_FEATURE_COUNT</h4>
<pre>static final&nbsp;int HW_COOLING_SUPPLY_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Hw Cooling Supply</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower.HwPowerPackage.HW_COOLING_SUPPLY_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHwPowerSupply--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwPowerSupply</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getHwPowerSupply()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code><em>Supply</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Supply</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code>HwPowerSupply</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwPowerSupply_SuppliedPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwPowerSupply_SuppliedPower</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwPowerSupply_SuppliedPower()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html#getSuppliedPower--"><code><em>Supplied Power</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Supplied Power</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html#getSuppliedPower--"><code>HwPowerSupply.getSuppliedPower()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwPowerSupply--"><code>getHwPowerSupply()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwPowerSupply_Capacity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwPowerSupply_Capacity</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwPowerSupply_Capacity()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html#getCapacity--"><code><em>Capacity</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Capacity</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerSupply.html#getCapacity--"><code>HwPowerSupply.getCapacity()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwPowerSupply--"><code>getHwPowerSupply()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwCoolingSupply--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwCoolingSupply</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getHwCoolingSupply()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwCoolingSupply.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code><em>Hw Cooling Supply</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Hw Cooling Supply</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwCoolingSupply.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><code>HwCoolingSupply</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwCoolingSupply_CoolingPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHwCoolingSupply_CoolingPower</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getHwCoolingSupply_CoolingPower()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwCoolingSupply.html#getCoolingPower--"><code><em>Cooling Power</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Cooling Power</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwCoolingSupply.html#getCoolingPower--"><code>HwCoolingSupply.getCoolingPower()</code></a>, 
<a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html#getHwCoolingSupply--"><code>getHwCoolingSupply()</code></a></dd>
</dl>
</li>
</ul>
<a name="getHwPowerFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getHwPowerFactory</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower">HwPowerFactory</a>&nbsp;getHwPowerFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HwPowerPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.HRM.HwPhysical.HwPower"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/HRM/HwPhysical/HwPower/HwPowerPackage.html" target="_top">Frames</a></li>
<li><a href="HwPowerPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
